#include<bits/stdc++.h>
using namespace std;

const int maxn=1e3+3;
int a[maxn], b[maxn];
int n, ans;
bool d[maxn][maxn];
bool f[maxn][maxn];

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
cin>>n;
ans=n;
for(int i=0; i<n; i++){
    cin>>a[i];
}

for(int i=0; i<n; i++){
    cin>>b[i];
}

for(int i=1; i<n; i++){
    d[a[i-1]][a[i]]=true;
}


for(int i=1; i<n; i++){
    f[b[i-1]][b[i]]=true;
}
//cerr<<"bool "<<endl;

int i=0;
while(i<n){
    int curr=0;
    for(int j=i+1; j<n; j++){
        //cerr<<"j="<<j<<endl;
        if(f[a[j-1]][a[j]]){
            curr++;
            //cerr<<"i v 2te "<<a[j-1]<<" e zaedno sys "<<a[j]<<endl;
        }else{
            ans-=curr;
            //i+=curr-1;
            break;
        }
    }
    i+=curr;
    if(curr==0){
        i++;
    }
}
cout<<ans;

return 0;
}

